# Uses of Interface
org.jfree.chart3d.table.TableElement

Packages that use TableElement
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of TableElement in org.jfree.chart3d

Methods in org.jfree.chart3d that return TableElement
Modifier and Type
Method
Description
`static TableElement`
TitleUtils.`createTitle(String title)`
Creates a chart title using the default font and alignment.
`static TableElement`
TitleUtils.`createTitle(String title, Font titleFont, String subtitle, Font subtitleFont, HAlign alignment)`
Creates a chart title and subtitle using the specified fonts and alignment.
`static TableElement`
TitleUtils.`createTitle(String title, String subtitle)`
Creates a chart title and subtitle using default fonts and left alignment.
`static TableElement`
TitleUtils.`createTitle(String title, String subtitle, Anchor2D anchor)`
Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).
`TableElement`
Chart3D.`getTitle()`
Returns the chart title.
Methods in org.jfree.chart3d with parameters of type TableElement
Modifier and Type
Method
Description
`void`
Chart3D.`setTitle(TableElement title)`
Sets the chart title and sends a `Chart3DChangeEvent` to all registered listeners.

## Uses of TableElement in org.jfree.chart3d.legend

Classes in org.jfree.chart3d.legend that implement TableElement
Modifier and Type
Class
Description
`class`
`ColorScaleElement`
A `TableElement` that displays a `ColorScale`.
Methods in org.jfree.chart3d.legend that return TableElement
Modifier and Type
Method
Description
`TableElement`
ColorScaleLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a new color scale legend with the specified orientation.
`TableElement`
LegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a legend for the specified plot.
`TableElement`
StandardLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates and returns a legend (instance of `TableElement`) that provides a visual key for the data series in the specified plot.

## Uses of TableElement in org.jfree.chart3d.table

Subinterfaces of TableElement in org.jfree.chart3d.table
Modifier and Type
Interface
Description
`interface`
`ContainerElement`
A `TableElement` that contains other elements (provides the `addElement()` method).
Classes in org.jfree.chart3d.table that implement TableElement
Modifier and Type
Class
Description
`class`
`FlowElement`
A table element that displays a list of sub-elements in a flow layout.
`class`
`GridElement<R extends Comparable<R>,C extends Comparable<C>>`
A table element that contains a grid of elements.
`class`
`ShapeElement`
A table element that displays a shape.
`class`
`TextElement`
A table element consisting of some text that will be drawn on one line.
`class`
`VerticalFlowElement`
A table element that displays a list of sub-elements in a vertical flow layout.
Methods in org.jfree.chart3d.table that return TableElement
Modifier and Type
Method
Description
`TableElement`
ElementInfo.`getElement()`
Returns the element.
Methods in org.jfree.chart3d.table that return types with arguments of type TableElement
Modifier and Type
Method
Description
`List<TableElement>`
FlowElement.`getElements()`
Returns a (new) list containing the elements in this flow layout.
`List<TableElement>`
VerticalFlowElement.`getElements()`
Returns a (new) list containing the elements in this flow layout.
Methods in org.jfree.chart3d.table with parameters of type TableElement
Modifier and Type
Method
Description
`void`
ContainerElement.`addElement(TableElement element)`
Adds a sub-element to the container element.
`void`
FlowElement.`addElement(TableElement element)`
Adds a sub-element to the list.
`void`
VerticalFlowElement.`addElement(TableElement element)`
Adds a sub-element to the list.
`void`
TableElementOnDraw.`afterDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)`
A callback method that is called after an element is drawn.
`void`
TableElementOnDraw.`beforeDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)`
A callback method that is called before an element is drawn.
`void`
GridElement.`setElement(TableElement element, R rowKey, C columnKey)`
Adds (or updates) a cell in the grid.
`void`
TableElementStyler.`visit(TableElement element)`
`void`
TableElementVisitor.`visit(TableElement element)`
Performs the visitor's operation on the table element.
Constructors in org.jfree.chart3d.table with parameters of type TableElement
Modifier
Constructor
Description
``
`ElementInfo(TableElement element, Dimension2D dimension)`
Creates a new instance.